Subject: Re: more about ce'u and functions

From: [email-masked]
Date: Thu, 27 Sep 2001 02:55:26 -0000

--- In lojban@y..., "Jorge Llambias" <jjllambias@h...> wrote:
> 
> Let's consider two predicates, broda and brode, with the
> same extensions but different intensions, i.e. two different
> predicates such that {roda rode zo'u go da de broda gi da de brode}.
> 
> Now hopefully we will all agree that {le du'u ko'a broda ko'e}
> and {le du'u ko'a brode ko'e} are two different propositions
> (which happen to have the same truth value), with different
> meaning. On the other hand, {le broda be ko'e} and
> {le brode be ko'e} both have the same referent (namely ko'a,
> if {ko'a broda ko'e}).
> 
> Now then, {le du'u makau broda ce'u} and {le du'u makau brode ce'u}
> are different functions into propositions: they each give a 
different
> proposition for any given value of ce'u.
> 
> What about {le broda be ce'u} and {le brode be ce'u}, assuming
> this is a valid way of using {ce'u} (I don't think it is, but
> for the sake of argument)? Both give the same values for any given
> value of ce'u. Do the two expressions refer to the same function,
> the way that both {le broda} and {le brode} refer to the same
> object?
> 
> If they both refer to the same function, then this is clearly
> not what we normally want as a te frica, since what we want
> there is the intension, not the extension.
> 
> If they refer to different functions, this is a further violation
> of the usual meaning of {le}, which is normally extensional.
> 
> mu'o mi'e xorxes
> 
> 
> 
> 
> _________________________________________________________________
> Get your FREE download of MSN Explorer at 
http://explorer.msn.com/intl.asp

.oiro'e la'edi'u traji pluja .i .au kelci